sample.dataset {bnstruct} | R Documentation

## sample a `BNDataset` from a network of an inference engine.

### Description

sample a `BNDataset` from a network of an inference engine.

### Usage

    sample.dataset(x, n = 100, mar = 0)

    ## S4 method for signature 'BN'
    sample.dataset(x, n = 100, mar = 0)

    ## S4 method for signature 'InferenceEngine'
    sample.dataset(x, n = 100)

### Arguments

`x` | a `BN` or `InferenceEngine` object.
`n` | number of items to sample.
`mar` | fraction [0,1] of missing values in the sampled dataset (missing at random), default value is 0 (no missing values).

### Value

a `BNDataset`

[Package bnstruct version 1.0.6 Index]